Subject: RE: problems installing with cumana scsi 2 cdrom

From: Roland Gröpmair <[email-masked]>
Date: Tue, 20 Apr 1999 21:39:33 +0200

wow, this was a fast answer   ;-)

currently I'm not sitting in front of my RISC PC, so I cannot read the docu.
Can you explain in a few words how to load this module?

Remember, the Red Hat Installer is started on the supplemental disk...
So I have to load the module >before< the installer? How?

Thanks, Roland
-----Original Message-----
From: Russell King - ARM Linux Admin [mailto:[email-masked]]
Sent: Tuesday, April 20, 1999 9:27 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: problems installing with cumana scsi 2 cdrom

=?iso-8859-1?Q?Roland_Gr=F6pmair?= writes:
> I'm sure you can help me with this problem: I have an 2 GB IDE HD and the
> partitioning is fine (1GB RISC OS, rest LINUX). But the kernel does not
> accept my cumana scsi 2 controller, although it is on the list of
supported
> hardware.
> 
> I triedd the kernel 2.0.36. It says on booting:
>   probing exp. cards
>   0: [003A:003A] SCSI-2 & CDFS Expansion Card    <-- so the card is active

This does not imply that the kernel contains support for the card.  It
merely
is telling you the order of the cards in your system.

You need to load the 'cumana2_mod' kernel module after the kernel is running
to be able to use the card.

There are, however, methods available to allow you to boot your kernel and
have the root filesystem on your SCSI card, but it's very complicated to
explain how to do it.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]